=== debian/changelog ===
musescore (2.1.0+dfsg3-3build1) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-5.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 22:07:55 -0500

musescore (2.1.0+dfsg3-3) unstable; urgency=medium

  * Add patch to correct visual note tracking during playback

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 17 Mar 2018 22:55:13 +0100

musescore (2.1.0+dfsg3-2) unstable; urgency=low

  * Fix copyright file for fonts, latest licences from upstream
  * Add patches to fix note collisions in playback and MIDI export
  * Recommend libmp3lame0 (currently dlopen()ed for MP3 export)
  * Add debian/upstream/metadata as requested by lintian
  * Require Qt < 5.10 due to embedded then-incompatible header
  * Add non-standard field “CLA” to UMEGAYA metadata (boldly)
  * Update patches as submitted upstream, and their merge status

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 16 Mar 2018 02:37:02 +0100

musescore (2.1.0+dfsg3-1) unstable; urgency=high

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Thorsten Glaser ]
  * Bump Qt dependency to at least Qt 5.4 for QVector.removeOne()
  * Forward patches upstream, update DEP-3 patch headers
  * Fix PCH; build with PCH to speed up package build
  * Make all system-wide soundfonts available to MuseScore
  * Address new lintian concerns
  * Allow separately-packaged version of fluidr3mono-gm-soundfont
  * Repack to exclude source-less soundfont from origtgz
  * Fix copyright file for fonts and icons
    (note that all fonts from the source are embedded into
    the musescore binary, with embedding-permitting licences)
  * Increase strictness of DFSG scanner within debian/repack
  * Mark packages as Multi-Arch: foreign
  * Update lintian overrides, re-check false positives/fixed-upstream

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 05 Mar 2018 18:51:01 +0100
